
singleton Material(GT_2400_super)
{
    mapTo = "GT_2400_super";
    diffuseMap[2] = "vehicles/super/super_c.dds";
    specularMap[2] = "vehicles/super/super_s.dds";
    normalMap[2] = "vehicles/super/super_n.dds";
    diffuseMap[1] = "vehicles/super/super_d.dds";
    specularMap[1] = "vehicles/super/super_s.dds";
    normalMap[1] = "vehicles/super/super_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/super/super_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(GT_2400_body)
{
    mapTo = "GT_2400_body";
    diffuseMap[2] = "vehicles/GT_2400/textures/GT_2400_body_c.dds";
    specularMap[2] = "vehicles/GT_2400/textures/GT_2400_body_s.dds";
    normalMap[2] = "vehicles/common/null_n.dds";
    normalMap[2] = "vehicles/common/null.dds";
    specularMap[1] = "vehicles/GT_2400/textures/GT_2400_body_s.dds";
    normalMap[2] = "vehicles/common/null_n.dds";
    normalMap[2] = "vehicles/common/null_n.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[2] = "vehicles/common/null_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "0 0 0 1";
    diffuseColor[1] = "0.2 0.2 0.2 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";

};

singleton Material("GT_2400_body.skin.montgomery")
{
    mapTo = "GT_2400_body.skin.montgomery";
    colorPaletteMap[2] = "vehicles/GT_2400/textures/GT_2400_body_skin_montgomery_uv1.dds";
    overlayMap[2] = "vehicles/GT_2400/textures/GT_2400_body_d.dds";
    diffuseMap[2] = "vehicles/GT_2400/textures/GT_2400_body_c.dds";
    specularMap[2] = "vehicles/GT_2400/textures/GT_2400_body_s.dds";
    normalMap[2] = "vehicles/common/null_n.dds";
    normalMap[2] = "vehicles/common/null.dds";
    specularMap[1] = "vehicles/GT_2400/textures/GT_2400_body_s.dds";
    normalMap[2] = "vehicles/common/null_n.dds";
    normalMap[2] = "vehicles/common/null_n.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[2] = "vehicles/common/null_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "0 0 0 1";
    diffuseColor[1] = "0.2 0.2 0.2 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("GT_2400_body.skin.sabotage")
{
    mapTo = "GT_2400_body.skin.sabotage";
    //colorPaletteMap[2] = "vehicles/GT_2400/textures/GT_2400_body_skin_montgomery_uv1.dds";
    overlayMap[2] = "vehicles/GT_2400/textures/GT_2400_body_2_d.dds";
    diffuseMap[2] = "vehicles/GT_2400/textures/GT_2400_body_c.dds";
    specularMap[2] = "vehicles/GT_2400/textures/GT_2400_body_s.dds";
    normalMap[2] = "vehicles/common/null_n.dds";
    normalMap[2] = "vehicles/common/null.dds";
    specularMap[1] = "vehicles/GT_2400/textures/GT_2400_body_s.dds";
    normalMap[2] = "vehicles/common/null_n.dds";
    normalMap[2] = "vehicles/common/null_n.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[2] = "vehicles/common/null_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "0 0 0 1";
    diffuseColor[1] = "0.2 0.2 0.2 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(GT_2400_frame)
{
   mapTo = "GT_2400_frame";
    diffuseMap[1] = "vehicles/GT_2400/textures/GT_2400_frame_d.dds";
    specularMap[1] = "vehicles/GT_2400/textures/GT_2400_frame_s.dds";
    normalMap[1] = "vehicles/GT_2400/textures/GT_2400_frame_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/GT_2400/textures/GT_2400_frame_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(GT_2400_ext_texture)
{
    mapTo = "GT_2400_ext_texture";
    diffuseMap[0] = "vehicles/GT_2400/textures/GT_2400_ext_texture_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseMap[1] = "vehicles/GT_2400/textures/GT_2400_ext_texture_d.dds";
    specularMap[1] = "vehicles/GT_2400/textures/GT_2400_ext_texture_s.dds";
    normalMap[1] = "vehicles/GT_2400/textures/GT_2400_ext_texture_n.dds";
    specularPower[0] = "32";
    specularPower[1] = "32";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    //translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
    //translucentZWrite = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(GT_2400_glass)
{
    mapTo = "GT_2400_glass";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/GT_2400/textures/GT_2400_glass_d.dds";
    opacityMap[0] = "vehicles/GT_2400/textures/GT_2400_glass_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(GT_2400_engine_parts)
{
    mapTo = "GT_2400_engine_parts";
    //normalMap[0] = "vehicles/GT_2400/textures/super_interior_n.dds";
    diffuseMap[0] = "vehicles/GT_2400/textures/GT_2400_engine_parts_d.dds";
    diffuseMap[1] = "vehicles/GT_2400/textures/GT_2400_engine_parts_d.dds";
    //specularMap[0] = "vehicles/GT_2400/textures/super_interior_s.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    //specularPower[1] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(GT_2400_interior)
{
    mapTo = "GT_2400_interior";
    diffuseMap[2] = "vehicles/GT_2400/textures/GT_2400_interior_c.dds";
    specularMap[2] = "vehicles/common/null.dds";
    normalMap[2] = "vehicles/GT_2400/textures/GT_2400_interior_n.dds";
    diffuseMap[1] = "vehicles/GT_2400/textures/GT_2400_interior_d2.dds";
    specularMap[1] = "vehicles/common/null.dds";
    normalMap[1] = "vehicles/GT_2400/textures/GT_2400_interior_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/GT_2400/textures/GT_2400_interior_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";

};

singleton Material(GT_2400_parts_inside)
{
    mapTo = "GT_2400_parts_inside";
    //normalMap[0] = "vehicles/GT_2400/textures/super_interior_n.dds";
    diffuseMap[0] = "vehicles/GT_2400/textures/GT_2400_parts_inside_d.dds";
    //specularMap[0] = "vehicles/GT_2400/textures/super_interior_s.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    specularPower[1] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(GT_2400_glass_int)
{
    mapTo = "GT_2400_glass_int";
    diffuseMap[0] = "vehicles/super/super_glass_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    doubleSided = "0";
    alphaRef = "0";
    dynamicCubemap = false;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(GT_2400_glass_dmg)
{
    mapTo = "GT_2400_glass_dmg";
    diffuseMap[0] = "vehicles/super/super_glass_dmg_d.dds";
    opacityMap[0] = "vehicles/super/super_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/glass_dmg_n.dds";
    diffuseMap[1] = "vehicles/super/super_glass_dmg_d.dds";
    specularMap[1] = "vehicles/common/glass_dmg_s.dds";
    normalMap[1] = "vehicles/common/glass_dmg_n.dds";
    specularPower[0] = "128";
    specularPower[1] = "128";
    diffuseColor[0] = "1 1 1 1.5";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(GT_2400_windshield_dmg)
{
    mapTo = "GT_2400_windshield_dmg";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/super/super_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/windshield_dmg_n.dds";
    specularPower[0] = "32";
    diffuseColor[0] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(GT_2400_taillightframe)
{
    mapTo = "GT_2400_taillightframe";
    diffuseMap[0] = "vehicles/GT_2400/textures/GT_2400_ext_texture_d.dds";
    specularMap[0] = "vehicles/GT_2400/textures/GT_2400_ext_texture_s.dds";
    normalMap[0] = "vehicles/GT_2400/textures/GT_2400_ext_texture_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(GT_2400_lightglass)
{
    mapTo = "GT_2400_lightglass";
    diffuseMap[1] = "vehicles/GT_2400/textures/GT_2400_ext_texture_d.dds";
    specularMap[1] = "vehicles/GT_2400/textures/GT_2400_ext_texture_s.dds";
    normalMap[1] = "vehicles/GT_2400/textures/GT_2400_ext_texture_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/GT_2400/textures/GT_2400_ext_texture_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(GT_2400_lightglass_on)
{
    mapTo = "GT_2400_lightglass_on";
    diffuseMap[2] = "vehicles/GT_2400/textures/GT_2400_ext_texture_g.dds";
    specularMap[2] = "vehicles/GT_2400/textures/GT_2400_ext_texture_s.dds";
    normalMap[2] = "vehicles/GT_2400/textures/GT_2400_ext_texture_n.dds";
    diffuseMap[1] = "vehicles/GT_2400/textures/GT_2400_ext_texture_d.dds";
    specularMap[1] = "vehicles/GT_2400/textures/GT_2400_ext_texture_s.dds";
    normalMap[1] = "vehicles/GT_2400/textures/GT_2400_ext_texture_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/GT_2400/textures/GT_2400_ext_texture_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.15";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(GT_2400_lightglass_on_intense)
{
    mapTo = "GT_2400_lightglass_on_intense";
    diffuseMap[2] = "vehicles/GT_2400/textures/GT_2400_ext_texture_g.dds";
    specularMap[2] = "vehicles/GT_2400/textures/GT_2400_ext_texture_s.dds";
    normalMap[2] = "vehicles/GT_2400/textures/GT_2400_ext_texture_n.dds";
    diffuseMap[1] = "vehicles/GT_2400/textures/GT_2400_ext_texture_d.dds";
    specularMap[1] = "vehicles/GT_2400/textures/GT_2400_ext_texture_s.dds";
    normalMap[1] = "vehicles/GT_2400/textures/GT_2400_ext_texture_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/GT_2400/textures/GT_2400_ext_texture_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.25";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(GT_2400_lightglass_dmg)
{
    mapTo = "GT_2400_lightglass_dmg";
    diffuseMap[0] = "vehicles/GT_2400/textures/GT_2400_lightglass_dmg_d.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/glass_dmg_n.dds";
    diffuseMap[1] = "vehicles/GT_2400/textures/GT_2400_lightglass_dmg_d.dds";
    specularMap[1] = "vehicles/common/glass_dmg_s.dds";
    normalMap[1] = "vehicles/common/glass_dmg_n.dds";
    specularPower[0] = "128";
    specularPower[1] = "128";
    diffuseColor[0] = "1 1 1 1.5";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "1";
    //translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(GT_2400_engbaystuff)
{
    mapTo = "GT_2400_engbaystuff";
    //normalMap[0] = "vehicles/GT_2400/textures/super_interior_n.dds";
    diffuseMap[0] = "vehicles/GT_2400/textures/GT_2400_engbaystuff_d.dds";
    diffuseMap[1] = "vehicles/GT_2400/textures/GT_2400_engbaystuff_d.dds";
    //specularMap[0] = "vehicles/GT_2400/textures/super_interior_s.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    specularPower[1] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(GT_2400_gauges)
{
    mapTo = "super_gauges";
    diffuseMap[0] = "vehicles/super/super_gauges_d.dds";
    specularMap[0] = "vehicles/super/super_gauges_s.dds";
    normalMap[0] = "vehicles/super/super_gauges_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
};

singleton Material(GT_2400_gauges_on)
{
    mapTo = "super_gauges_on";
    diffuseMap[1] = "vehicles/super/super_gauges_d.dds";
    specularMap[1] = "vehicles/super/super_gauges_s.dds";
    normalMap[1] = "vehicles/super/super_gauges_n.dds";
    diffuseMap[0] = "vehicles/super/super_gauges_d.dds";
    specularMap[0] = "vehicles/super/super_gauges_s.dds";
    normalMap[0] = "vehicles/super/super_gauges_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    emissive[1] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 0.5 0 1";
};

singleton Material(GT_2400_hinges)
{
    mapTo = "GT_2400_hinges";
    //normalMap[0] = "vehicles/GT_2400/textures/super_interior_n.dds";
    diffuseMap[0] = "vehicles/GT_2400/textures/GT_2400_hinges_d.dds";
    diffuseMap[1] = "vehicles/GT_2400/textures/GT_2400_hinges_d.dds";
    //specularMap[0] = "vehicles/GT_2400/textures/super_interior_s.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    specularPower[1] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(GT_2400_lettering)
{
    mapTo = "GT_2400_lettering";
    diffuseMap[0] = "vehicles/GT_2400/textures/GT_2400_ext_texture_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseMap[1] = "vehicles/GT_2400/textures/GT_2400_ext_texture_d.dds";
    specularMap[1] = "vehicles/GT_2400/textures/GT_2400_ext_texture_s.dds";
    normalMap[1] = "vehicles/GT_2400/textures/GT_2400_ext_texture_n.dds";
    specularPower[0] = "32";
    specularPower[1] = "32";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    //translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
    //translucentZWrite = "1";
};

singleton Material(GT_2400_grille)
{
    mapTo = "GT_2400_grille";
    normalMap[0] = "vehicles/GT_2400/textures/GT_2400_grille_n.dds";
    diffuseMap[0] = "vehicles/GT_2400/textures/GT_2400_grille_d.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "128";
    specularPower[1] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "1";
    doubleSided = "1";
    translucentBlendOp = "lerpAlpha";
    alphaTest = "1";
    alphaRef = "5";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(GT_2400_signal_L)
{
    mapTo = "GT_2400_signal_L";
};

singleton Material(GT_2400_signal_R)
{
    mapTo = "GT_2400_signal_R";
};

singleton Material(GT_2400_brakelight)
{
    mapTo = "GT_2400_brakelight";
};

singleton Material(GT_2400_parkinglight)
{
    mapTo = "GT_2400_parkinglight";
};

singleton Material(GT_2400_headlight)
{
    mapTo = "GT_2400_headlight";
};

singleton Material(GT_2400_reverselight)
{
    mapTo = "GT_2400_reverselight";
};